> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1hubendpoints



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/hub/endpoints
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/hub/endpoints:
    post:
      tags:
        - SellerEndpoints
      operationId: hub.endpoints.store
      requestBody:
        description: '`SellerEndpointDataRequest`'
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SellerEndpointDataRequest'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: string
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Forbidden username/password combination.
                  errors:
                    type: object
                    properties:
                      username:
                        type: array
                        prefixItems:
                          - type: string
                            example: Forbidden username/password combination.
                        minItems: 1
                        maxItems: 1
                        additionalItems: false
                      password:
                        type: array
                        prefixItems:
                          - type: string
                            example: Forbidden username/password combination.
                        minItems: 1
                        maxItems: 1
                        additionalItems: false
                    required:
                      - username
                      - password
                required:
                  - message
                  - errors
components:
  schemas:
    SellerEndpointDataRequest:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        username:
          type: string
        password:
          type: string
        client_company_id:
          type: string
          format: uuid
        sms_routing_plan_id:
          type: string
          format: uuid
        default_route_id:
          type: string
          format: uuid
        pricing_update_email:
          type:
            - string
            - 'null'
          format: email
        allowed_ips:
          type:
            - array
            - 'null'
          default: []
          items:
            type: string
        tags:
          type:
            - array
            - 'null'
          default: []
          items:
            type: string
        tx:
          type: integer
          default: 1
        rx:
          type: integer
          default: 1
        trx:
          type: integer
          default: 1
        is_sending_allowed:
          type: boolean
          default: true
        max_price:
          type: number
          default: 0
        is_max_price_enabled:
          type: boolean
          default: false
        min_margin:
          type:
            - integer
            - 'null'
        active_connections:
          anyOf:
            - $ref: '#/components/schemas/SellerEndpointConnectionDataRequest'
            - type: 'null'
      required:
        - username
        - password
        - client_company_id
        - sms_routing_plan_id
      title: SellerEndpointDataRequest
    SellerEndpointConnectionDataRequest:
      type: object
      properties:
        tx:
          type:
            - integer
            - 'null'
        rx:
          type:
            - integer
            - 'null'
        trx:
          type:
            - integer
            - 'null'
      title: SellerEndpointConnectionDataRequest
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````